aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash38
1 files changed, 38 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
new file mode 100755
index 0000000000..cd33b891ed
--- /dev/null
+++ b/src/run.bash
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright 2009 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+
+xcd() {
+ builtin cd $1
+ echo --- cd $1
+}
+
+(xcd ../usr/gri/gosrc
+make clean
+time make
+make test
+)
+
+(xcd ../usr/gri/pretty
+make clean
+time make
+make test
+)
+
+
+(xcd ../usr/r/refl
+rm -f *.6 6.out
+6g refl.go
+6g printf.go
+6g main.go
+6l main.6
+6.out
+)
+
+(xcd ../test
+./run
+)
+